-----------------------------------------
-- Humans vs. Ghosts --------------------
-- Based on Ghost Mode from MAT Online --
-----------------------------------------
-- By: iLikee ---------------------------
-----------------------------------------
-- Set the admin U.S.G.N
HVSGADMINUSGN = 73948
-----------------------------------------
-- Add hooks
addhook("join","_join")
addhook("spawn","_spawn")
addhook("spawn","w")
addhook("say","_say")
addhook("kill","_kill")
addhook("minute","_minute")
addhook("hit","_hit")
addhook("reload","_reload")
-----------------------------------------
-- Important config
parse('mp_deathdrop 4')
parse('mp_infammo 0')
parse('mp_dmspawnmoney 0')
parse('sv_gamemode 0')
parse('sv_fow 0')
parse('sv_friendlyfire 0')
parse('mp_buytime 0.1')
parse('mp_startmoney 0')
-----------------------------------------
-- Player joins the room
function _join(id)
 msg2(id,'000255255Hi '..player(id,"name")..'! Welcome to Humans vs. Ghosts!')
 if player(id,"usgn")==HVSGADMINUSGN then
  msg('000255255Admin '..player(id,"name")..' joins the room!')
  return 1
 end
 msg('000255255'..player(id,"name")..' joins the room!')
end

-- Player spawns
function _spawn(id)
 -- Game HUD
 parse('hudtxt 0 "255255255 __________________" 560 399 1')
 parse('hudtxt 1 "255255255| Humans vs. Ghosts |" 560 419 1')
 parse('hudtxt 2 "255255255 __________________" 560 426 1')
 parse('hudtxt 3 "255255255HaVe FuN!" 560 449 1')
 parse('hudtxtcolorfade 0 0 5000 255 0 0')
 parse('hudtxtcolorfade 0 1 5000 255 0 0')
 parse('hudtxtcolorfade 0 2 5000 255 0 0')
 parse('hudtxtcolorfade 0 3 5000 0 255 0')

 -- If is a human(ct)
 if player(id,"team")==2  then
  parse('equip '..id..' 80')
  parse('equip '..id..' 1')
  parse('mp_wpndmg USP 50')
  parse('setweapon '..id..' 1')
  
 end
 
 -- If is a ghost(tr)
 if player(id,"team")==1 then
  parse('equip '..id..' 84')
  parse('mp_wpndmg Knife 50')
  -- parse('equip '..id..' 69')
  -- parse('setweapon '..id..' 69')
  parse('speedmod '..id..' 10')
 end
 
 -- If is a admin
 if player(id,"usgn")==HVSGADMINUSGN then
  parse('equip '..id..' 83')
  parse('equip '..id..' 45')
  parse('setweapon '..id..' 45')
  parse('speedmod '..id..' 50')
 end
end

-- Player says
function _say(id, text)
-- Human(ct) admin says
 if player(id,"usgn")==HVSGADMINUSGN and player(id,"team")==2 then
   msg('000225225[ADMIN][HUMAN]'..player(id,"name")..' says: '..text)
   return 1
 end
 
 -- Ghost(tr) admin says
 if player(id,"usgn")==HVSGADMINUSGN and player(id,"team")==1 then
   msg('000225225[ADMIN][GHOST]'..player(id,"name")..' says: '..text)
   return 1
 end
 
 -- Spectator admin says
 if player(id,"usgn")==HVSGADMINUSGN and player(id,"team")==0 then
   msg('000225225[ADMIN][SPECTATOR]'..player(id,"name")..' says: '..text)
   return 1
 end
 
 -- Human(ct) player says
 if player(id,"team")==2 then
  msg('[HUMAN]'..player(id,"name")..' says: '..text)
  return 1
 end
 
 -- Ghost(tr) player says
 if player(id,"team")==1 then
  msg('[GHOST]'..player(id,"name")..' says: '..text)
  return 1
 end
 
 -- Spectator player says
 if player(id,"team")==0 then
  msg('[SPECTATOR]'..player(id,"name")..' says: '..text)
  return 1
 end
 return 1
end

-- Player kills
function _kill(k,v,wid)
 -- Killer is a human(ct)
 if player(k,"team")==2 then
  kid = "[HUMAN]"
 end
 
 -- Killer is a ghost(tr)
 if player(k,"team")==1 then
  kid = "[GHOST]"
 end
 
 -- Victim is a human(ct)
 if player(v,"team")==2 then
  vid = "[HUMAN]"
 end
 
 -- Victim is a ghost(tr)
 if player(v,"team")==1 then
  vid = "[GHOST]"
 end
 
 -- Killer is a admin
 if player(k,"usgn")==HVSGADMINUSGN then
  msg('000255255[ADMIN]'..player(k,"name")..' punished '..vid..''..player(v,"name")..'!')
  return 1
 end
  
 msg('255000000'..kid..''..player(k,"name")..' killed '..vid..''..player(v,"name")..'!')
 return 1
end

-- Show ads in the server
function _minute()
 msg("")
 msg("000255000Humans vs. Ghosts")
 msg("000255000By: |mprZ|.LoudMe")
 msg("000255000--------------------------------------")
 msg("000255000ANUNCIE AQUI! FALE COM O ADMIN!")
 msg("000255000--------------------------------------")
 msg("")
end

-- Player gets a hit
function _hit(id,w)
 -- It's admin?
 if player(id,"usgn")==HVSGADMINUSGN then
  -- Yeah, and it's impossible to kill he!
  parse("setmaxhealth "..id.." 250")
  return 1
 end
end

-- Fast reload for humans(ct)
function _reload(id, m)
 w = player(id,"weapontype")
 if m==1 then
  parse('equip '..id..' '..w)
  parse('setweapon '..id..' '..wp)
  return 1
 end
end

addhook("always","LifeHUD")
function LifeHUD(id)
  parse('hudtxt 5 "255255000Health:" 25 430 1')
end

-------------------------
-- Third party scripts --
-------------------------

